Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 606649 - [abrt] crash in tracker-0.8.11-1.fc13: magazine_chain_pop_head: Process /usr/libexec/tracker-extract was killed by signal 11 (SIGSEGV)
[abrt] crash in tracker-0.8.11-1.fc13: magazine_chain_pop_head: Process /usr/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gstreamer (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Benjamin Otte
Fedora Extras Quality Assurance
abrt_hash:2d25928bc84d829b0bced81671f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-22 03:10 EDT by Tomasz Torcz
Modified: 2011-06-27 14:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:43:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (69.52 KB, text/plain)
2010-06-22 03:10 EDT, Tomasz Torcz
no flags Details
smallposition[1].gif (79 bytes, image/gif)
2010-06-22 11:02 EDT, Tomasz Torcz
no flags Details

  None (edit)
Description Tomasz Torcz 2010-06-22 03:10:17 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/libexec/tracker-extract
component: tracker
crash_function: magazine_chain_pop_head
executable: /usr/libexec/tracker-extract
global_uuid: 2d25928bc84d829b0bced81671f6a863ad0169ae
kernel: 2.6.33.5-124.fc13.x86_64
package: tracker-0.8.11-1.fc13
rating: 4
reason: Process /usr/libexec/tracker-extract was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
How to reproduce: 1. Happened out of blue.
Comment 1 Tomasz Torcz 2010-06-22 03:10:19 EDT
Created attachment 425838 [details]
File: backtrace
Comment 2 Deji Akingunola 2010-06-22 09:47:02 EDT
This look like some memory corruption in gstreamer, re-assigning.
Comment 3 Benjamin Otte 2010-06-22 10:41:12 EDT
Could you upload the file it was trying to index, so we can be sure? According to the backtrace, that file is 
/media/WDP-Crypt/Backup/Documents and Settings/113008943/Local Settings/Temporary Internet Files/Content.IE5/4PK74V4N/smallposition[1].gif
Comment 4 Tomasz Torcz 2010-06-22 11:02:01 EDT
Created attachment 425966 [details]
smallposition[1].gif
Comment 5 Benjamin Otte 2010-06-22 14:00:30 EDT
That file works fine in GStreamer.
So I'm tempted to agree that it is a memory corruption, but think the memory corruption happened in tracker-extract when it was processing a previous file and only became visible when GStreamer played with it.

Unless someone finds the problem by running tracker-extract under valgrind, there's not a lot I can do about it.
Comment 6 Bug Zapper 2011-06-01 11:56:57 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-27 14:43:34 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.